/* #region Banner */

#banner {
    width: 100%;
    height: 300px;
    background-image: url("../Media/Images/colored-roofs-banner-mobile.webp");
    background-size: cover;
    background-position: 0% 45%;
    box-shadow: 0px 0px 5px #424242;
}

#banner-shader {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    display: flex;
    justify-content: center;
    align-items: center;
}

#banner header {
    color: white;
}

#banner h1 {
    font-family: "DMSerifText", Helvetica;
    text-shadow: 0px 0px 10px #000000;
    font-size: 2.5rem;
}

/* #endregion*/

/* #region Color Section */

.colors-section header, #custom-colors-section header {
    border-bottom: 4px solid #A82428;
    margin-bottom: 20px;
    padding-bottom: 5px;
}

h2 {
    font-size: 28px;
    text-align: center;
}

.colors-section {
    padding: 20px;
}

.colors-section img {
    width: 150px;
    height: 150px;
    box-shadow: 0px 0px 5px #424242;
    border-radius: 10px;
    border: thin solid black;
}

.color-container {
    width: 150px;
}

.colors-container {
    display: grid;
    grid-template-columns: 100%;
    justify-items: center;
    row-gap: 20px;
}

.color-container p {
    font-weight: bold;
    text-align: center;
    margin-top: 10px;
}

#disclaimer {
    text-align: center;
    padding: 0px 20px 20px 20px;
}

/* #endregion */

/* #region Custom Colors */

#custom-colors-section {
    display: flex;
    justify-content: center;
    flex-direction: column-reverse;
    background-color: whitesmoke;
    padding: 20px;
}

#custom-colors-section div {
    width: 100%;
    margin-right: 20px;
}

#custom-colors-section p {
    font-size: 20px;
    line-height: 1.5;
    margin-bottom: 30px;
}

#custom-colors-section img {
    position: relative;
    left: 50%;
    transform: translate(-50%);
    width: 100%;
    max-width: 500px;
    height: auto;
    margin-bottom: 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 5px #424242;
}

#get-quote {
    background-color: #A82428;
    color: white;
    font-weight: bold;
    font-size: 24px;
    border-radius: 10px;
    padding: 10px 10px;
    text-decoration: none;
    box-shadow: 0px 0px 5px #424242;
}

/* #endregion */

/* #region Fonts */

@font-face {
    font-family: "DMSerifText";
    src: url("../Media/Fonts/DMSerifText-Regular.ttf") format("truetype");
    font-display: swap;
}

/* #endregion */

/* #region Media Queries */

@media screen and (min-width: 375px){

    .colors-container {
        grid-template-columns: 50% 50%;
    }

    h2 {
        font-size: 32px;
    }

}

@media screen and (min-width: 540px){

    .colors-container {
        grid-template-columns: 33.33% 33.33% 33.33%;
    }

}

@media screen and (min-width: 600px){

    #banner h1 {
        font-size: 3.5rem;
    }

}

@media screen and (min-width: 700px){

    .colors-container {
        grid-template-columns: 25% 25% 25% 25%;
    }

}

@media screen and (min-width: 768px){

    #banner {
        background-image: url("../Media/Images/colored-roofs-banner-tablet.webp");
    }

}

@media screen and (min-width: 870px){

    .colors-container {
        grid-template-columns: 20% 20% 20% 20% 20%;
    }

}

@media screen and (min-width: 1025px){

    .colors-container {
        grid-template-columns: 16.66% 16.66% 16.66% 16.66% 16.66% 16.66%;
    }

    #banner {
        background-image: url("../Media/Images/colored-roofs-banner.webp");
    }

    #custom-colors-section {
        justify-content: space-between;
        flex-direction: row;
    }

    #custom-colors-section img {
        left: 0%;
        transform: translateX(0%);
    }

    h2 {
        text-align: left;
    }

}

@media screen and (min-width: 1195px){

    .colors-container {
        grid-template-columns: 14.28% 14.28% 14.28% 14.28% 14.28% 14.28% 14.28%;
    }

}

@media screen and (min-width: 1350px){

    .colors-container {
        grid-template-columns: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
    }

}

@media screen and (min-width: 1515px){

    .colors-container {
        grid-template-columns: 11.11% 11.11% 11.11% 11.11% 11.11% 11.11% 11.11% 11.11% 11.11%;
    }

}

@media screen and (min-width: 1690px){

    .colors-container {
        grid-template-columns: 10% 10% 10% 10% 10% 10% 10% 10% 10% 10%;
    }

}

/* #endregion */